comedi_get_version_code
Prev | 5.4.1. Core Functions | Next

## Name

comedi_get_version_code — Comedi version code

## Synopsis

    #include <comedilib.h>

`int comedi_get_version_code(` | comedi_t * device`)`;

## Description

Returns the Comedi kernel module version code. A valid Comedi device referenced by the parameter `device` is necessary to communicate with the kernel module. On error, `-1` is returned.

The version code is encoded as a bitfield of three 8-bit numbers. For example, `0x00073d` is the version code for version 0.7.61.

This function is of limited usefulness. A typical mis-application of this function is to use it to determine if a certain feature is supported. If the application needs to know of the existence of a particular feature, an existence test function should be written and put in the Comedilib source.

Prev | Up | Next
comedi_get_subdevice_type | Home | comedi_internal_trigger